<section class="page-wrap">
  <h1 class="page-title">Login</h1>
  <p *ngIf="errorMessage" class="error-message">{{ errorMessage }}</p>
  <form class="form-login" [formGroup]="form" (ngSubmit)="submit()">
    <app-input
      [control]="form.get(loginControls.EMAIL)"
      type="email"
      label="Email"
      class="login-input"
    ></app-input>
    <app-input
      [control]="form.get(loginControls.PASSWORD)"
      type="password"
      label="Password"
      class="login-input"
    ></app-input>
    <button class="btn btn_default" [disabled]="form.invalid || isSubmitted">
      Sign in
    </button>
  </form>
</section>
